package dto.create;

import cz.fi.muni.pa165.entity.Band;
import lombok.Data;
import org.jetbrains.annotations.NotNull;
import org.springframework.data.annotation.Id;

import javax.persistence.OneToMany;
import java.util.LinkedHashSet;
import java.util.Set;
import java.util.UUID;

@Data
public class ManagerCreateDto {
    @Id
    @NotNull
    private String id = UUID.randomUUID().toString();

    @NotNull
    private String name;

    @OneToMany(mappedBy = "id") private Set<Band> managedBands = new LinkedHashSet<>();
}
